Целочисленное переполнение в PHP

Дата публикации:
12.04.2007
Дата изменения:
02.08.2007
Всего просмотров:
2043
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP 4.3.x
PHP 5.0.x
PHP 4.4.x
PHP 5.1.x
PHP 5.2.x
Уязвимые версии: PHP 5.2.1, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании.

Целочисленное переполнение обнаружено в функции "readwbmp()" в файле ext/gd/libgd/wbmp.c. Злоумышленник может загрузить специально сформированное wbmp изображение и вызвать отказ в обслуживании.

URL производителя: www.php.net

Решение: Установите последнюю версию 5.2.2 или 4.4.7 с сайта производителя.

или введите имя

CAPTCHA